package sklep.rest;

import org.glassfish.jersey.server.ResourceConfig;
import org.springframework.context.annotation.Configuration;

@Configuration
public class JerseyConfig extends ResourceConfig {
    /* Musimy zapewnić, aby podczas startu aplikacji na obiekcie ResourceConfig (z Jerseya)
     * została wywołan metoda register dla wszystkich "resource classes", które wchodzą w skład aplikacji JAX-RS.
     * W wersji Springowej nie ma klasy typu Application.
     */

	public JerseyConfig() {
		register(Hello.class);
		register(DataCzas.class);
		register(Kalkulator.class);
		register(RProducts.class);
	}
	
}
